package com.blogspot.hwellmann.cdi;

import javax.annotation.PostConstruct;
import javax.ejb.Singleton;
import javax.ejb.Startup;
import javax.inject.Inject;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import com.blogspot.hwellmann.cdi.service.InjectedService;


@Singleton
@Startup
public class ClientService {

    @PersistenceContext
    private EntityManager em;
    
    @Inject
    private InjectedService injected;
    
    @PostConstruct
    public void execute() {
        System.out.println("accessing injected EntityManager");
        em.find(Person.class, 99);
        System.out.println("accessing injected service");
        injected.doSomething();
        System.out.println("done");        
    }

}
